#!/system/bin/busybox sh

# Change working directory to package list top dir.
TOP_DIR=.
if [ $# -gt 0 ]
then
	TOP_DIR=$1
fi
cd ${TOP_DIR}

LOGFILE="/data/logs/update.log"

# Execute status macros.
EXEC_STATUS='sys.pzdf.exec.status'
GET_PROP_CMD='/system/bin/getprop'
SET_PROP_CMD='/system/bin/setprop'

# Make log directory while it's not exists.
[ -d /data/logs ] || mkdir /data/logs
chmod 755 /data/logs

# Check package status.
echo '' > /data/logs/update.log
$SET_PROP_CMD $EXEC_STATUS "检查软件包 ..."
echo "检查软件包 ..." >> $LOGFILE
/system/bin/busybox md5sum -c A7698.md5 >> $LOGFILE 2>> $LOGFILE
status=$?
if [ $status -ne 0 ]
then
	# Exit installation while checksum failed.
	echo "检查软件包 ...失败 !" >> $LOGFILE
	$SET_PROP_CMD $EXEC_STATUS "$status 检查软件包 ...失败 !"
	exit $status
fi
echo "检查软件包 ...成功 !" >> $LOGFILE
$SET_PROP_CMD $EXEC_STATUS "检查软件包 ...成功 !"

# Remount system partition for writting.
mount -o rw,remount /dev/block/mmcblk0p5 /system

# Install/Update application.
echo "更新软件包: Copy files" >> $LOGFILE
#
# ******************************
# busybox cp libreference-ril.so /system/lib/
#
# TODO

# Copy packages to system application directory, and
# copy libray files to system application directory.
/system/bin/busybox cp audio.primary.rk30board.so /system/lib

# Run post install script.
./post_install.sh

echo "更新应用程序 ...$?" >> $LOGFILE

# Clean temporery files.
WORK_DIR=`busybox basename $PWD`
if [ "X$WORK_DIR" == "X$A7698" ]
then
	busybox rm -rf *
fi

echo "更新已完成 !" >> $LOGFILE
$SET_PROP_CMD $EXEC_STATUS "0 更新已完成 !"
